rte_comp_deflate_params(3)

NAME
rte_comp_deflate_params

SYNOPSIS

#include <rte_comp.h>

  Data Fields

enum rte_comp_huffman huffman
uint8_t * dictionary
uint16_t dictionary_len

Detailed Description

Parameters specific to the deflate algorithm

Definition at line 236 of file rte_comp.h.

Field Documentation

  enum rte_comp_huffman huffman
Compression huffman encoding type

Definition at line 237 of file rte_comp.h.

  uint8_t* dictionary
Pointer to memory containing dictionary to be used for deflate operations

Definition at line 239 of file rte_comp.h.

  uint16_t dictionary_len
Length of dictionary to be used

Definition at line 241 of file rte_comp.h.

Author

Generated automatically by Doxygen for DPDK from the source code.